# Module selenium-webdriver/firefox/profile

code »

## Classes

Profile
  Models a Firefox proifle directory for use with the FirefoxDriver.

Show:Public Protected Private

## Functions

code »decode ( data ) ⇒ `!promise.Promise.<string>`

Decodes a base64 encoded profile.

Parameters

data: `string`
  The base64 encoded string.

Returns

A promise for the path to the decoded profile directory.

code »loadUserPrefs ( f ) ⇒ `!promise.Promise`

Parses a user.js file in a Firefox profile directory.

Parameters

f: `string`
  Path to the file to parse.

Returns

A promise for the parsed preferences as a JSON object. If the file does not exist, an empty object will be returned.